vala-tests r39 - trunk/tests/bugs
- From: malureau svn gnome org
- To: svn-commits-list gnome org
- Subject: vala-tests r39 - trunk/tests/bugs
- Date: Sat, 18 Oct 2008 21:26:48 +0000 (UTC)
Author: malureau
Date: Sat Oct 18 21:26:48 2008
New Revision: 39
URL: http://svn.gnome.org/viewvc/vala-tests?rev=39&view=rev
Log:
Add bug 442703 test
Added:
trunk/tests/bugs/442703.test (contents, props changed)
trunk/tests/bugs/442703.vala
Modified:
trunk/tests/bugs/update.sh
Added: trunk/tests/bugs/442703.test
==============================================================================
--- (empty file)
+++ trunk/tests/bugs/442703.test Sat Oct 18 21:26:48 2008
@@ -0,0 +1,41 @@
+#!/bin/sh
+
+set -e
+
+SRCDIR=../tests/bugs
+
+if [ "x$VALAC" = "x" ] ; then
+ VALAC=valac
+ SRCDIR=`dirname $0`
+fi
+
+while true ; do
+ case "$1" in
+ --interact) INTERACT=1 ; shift ;;
+ --) shift ; break ;;
+ *) break ;;
+ esac
+done
+
+TESTNAME=`basename $0 .test`
+
+ $VALAC --pkg gtk+-2.0 -o $TESTNAME $SRCDIR/$TESTNAME.vala -c $VALAFLAGS
+
+if [ "$?" != "0" ] && [ -n ]; then
+ echo ""
+ echo "*** WARNING: This vala test was expecting to fail ***"
+ echo ""
+ echo "Visit bug: http://bugzilla.gnome.org/show_bug.cgi?id=442703"
+ exit 1
+fi
+
+true || exit 1
+
+if [ "xno" = "x1" -o "x$INTERACT" = "x1" ] ; then
+ G_DEBUG=fatal_warnings ./$TESTNAME $@
+else
+ echo ""
+ [ "xno" = "x0" ] && echo "*** WARNING: This vala test is interactive and will not be run (try --interact) ***"
+ [ "xno" = "xno" ] && rm -rf 442703.o
+fi
+
Added: trunk/tests/bugs/442703.vala
==============================================================================
--- (empty file)
+++ trunk/tests/bugs/442703.vala Sat Oct 18 21:26:48 2008
@@ -0,0 +1,3 @@
+using Gtk;
+
+public delegate void test (Button button);
\ No newline at end of file
Modified: trunk/tests/bugs/update.sh
==============================================================================
--- trunk/tests/bugs/update.sh (original)
+++ trunk/tests/bugs/update.sh Sat Oct 18 21:26:48 2008
@@ -17,6 +17,7 @@
433290
436011
436760
+442703
"
invalid="
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]